## org.eclipse.emf.ocl.parser
Interface PersistentEnvironment

All Superinterfaces:
  Environment

All Known Implementing Classes:
  EcoreEnvironment, ReverseCompatibilityEnvironment

Deprecated. Use the `Environment` interface, instead.

    @Deprecated
    public interface PersistentEnvironment

extends Environment

An OCL environment that supports persistence of the dynamically-generated bindings of generic types, based on the classifiers provided by the environment. The persistent environment must:

- define a `TypeResolver` that provides a canonical mapping of types generated by the parser to types in a resource that the client can persist as needed
- ensure that any `Variable`s defined in the environment can also be referenced by a persisted expression

This interface is not intended to be implemented by clients "directly". It is highly recommended to extend the `EcoreEnvironment` class, instead.

Field Summary

Fields inherited from interface org.eclipse.emf.ocl.parser.Environment
`ANNOTATION_URI_BODY, ANNOTATION_URI_DEFINE, ANNOTATION_URI_DERIVE, ANNOTATION_URI_INIT`

Method Summary
`TypeResolver` `getTypeResolver()` Deprecated. Obtains a type resolver to be used to create (and cache) concrete bindings for the generic OCL types, based on the user model types provided by this environment.

Methods inherited from interface org.eclipse.emf.ocl.parser.Environment

`addElement, deleteElement, getAssociationClass, getContextClassifier, getContextOperation, getContextProperty, getDescription, getFactory, getMemberEnds, getParent, getQualifiers, getSelfVariable, getSignals, getStateName, getStates, getVariables, isAssociationClass, isEmpty, isQuery, lookup, lookupAssociationClassReference, lookupImplicitSourceForAssociationClass, lookupImplicitSourceForOperation, lookupImplicitSourceForProperty, lookupLocal, lookupOperation, lookupPackage, lookupPathName, lookupProperty, lookupSignal, setParent, setSelfVariable`

Method Detail

### getTypeResolver

    TypeResolver getTypeResolver()

  Deprecated.
  Obtains a type resolver to be used to create (and cache) concrete bindings for the generic OCL types, based on the user model types provided by this environment.

  Returns:
    the type resolver

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.